html, body {
    overflow-x: hidden !important;
}

body {
    background-repeat: no-repeat !important;
    background-size: cover !important;
    background-position: center center !important;
    background-color: #100F0F;
    width: 100%;
    height:100%;
    margin: auto;
    padding: 0;
    color: white;
    font-family: 'Work Sans', sans-serif !important;
    font-size: 1rem;
    text-align: center;
    word-wrap: break-work;
}

.background {
    background-repeat: no-repeat !important;
    background-size: cover !important;
    background-position: center center !important;
    background-image: url('/assets/header.png');
    height: 42em;
    width: 100%;
    box-shadow: inset 0 0 0 1000px rgba(0,0,0,.4);
    border-bottom-style: solid;
    border-bottom-width: 5px;
    border-bottom-color: var(--main-theme);
}

.teamimage {
    width: 14em;
    height: auto;
    border-style: solid;
    border-width: 4px;
    border-color: var(--main-theme);
    border-radius: 50%;
    margin-bottom: 0.5em;
    background-color: #2e2e2e;
}

.serviceimage {
    width: 8em;
    height: auto;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
}

.alternateAtag {
    color: white !important;
    transition: color ease-in-out 500ms;
}

.alternateAtag:hover, .alternateAtag:focus {
    color: lightgrey !important;
}

.bigfont {
    font-weight: 700 !important;
}

.mainteam {
    border-radius: 0.4em;
    height: 29em;
}

.mainservice {
    border-radius: 0.4em;
    min-height: 25em;
}

.mainprocess {
    border-radius: 0.4em;
}

.footermainlinklol {
    font-size: 1.3em;
}

.faqblock {
    border-radius: 0.4em;
}

.companylogo {
    width: 16em;
    height: auto;
    margin-top: 1.5em;
}

.bg-theme {
    background-color: var(--main-theme);
}

.bd-theme-team {
    border-style: solid;
    border-width: 2px;
    border-radius: 0.5em;
    border-color: var(--main-theme);
    box-shadow: inset 0 0 0 1000px #06200ba6;
}

.linear-wipe {
    text-align: center;
    
    color: var(--main-theme);

    background: linear-gradient(to right, #FFF 20%, rgb(0, 255, 21) 40%, rgb(0, 255, 21) 60%, #FFF 80%);
    background-size: 200% auto;
    
    color: #000;
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    
    animation: shine 2s linear infinite;
}
@keyframes shine {
    to {
      background-position: 200% center;
    }
}

.contactbar {
    width: 100%;
    text-align: center;
    color: white;
    height: 2em;
    padding-top: 0.2em;
}

.contactbara {
    margin-top: 0.5em;
    margin-left: 1em;
    margin-right: 1em;
    margin-bottom: 0em !important;
}

.footermain {
    bottom: 0;
    color: white;
    background-repeat: no-repeat !important;
    background-size: cover !important;
    background-position: center center !important;
    background-image: url('/assets/header2.png');
    height: 20em;
    width: 100%;
    box-shadow: inset 0 0 0 1000px rgba(0,0,0,.65);
    border-top-style: solid;
    border-top-width: 5px;
    border-top-color: var(--main-theme);
}

.footerbottommobile {
    display: none !important;
    visibility: hidden;
    margin-bottom: 0 !important;
}

.footerinner {
    width: 80%;
    height: 100%;
    padding: 2em;
    margin-left: auto;
    margin-right: auto;
    text-align: start !important;
}

.navbar-nav {
    margin-left: auto;
    margin-right: 0;
}

.nav-link {
    color: white !important;
    transition: color ease-in-out 500ms !important;
}

.nav-link:hover {
    color: var(--main-theme) !important;
}

.nav-link i {
    margin-top: 0.2em;
}

.navbar-brand {
    color: white !important;
    font-weight: 700;
}

.navbar-toggler {
    color: white;
    border-color: white;
}

.navbar-toggler-icon {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgb(255,255,255)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 8h24M4 16h24M4 24h24'/%3E%3C/svg%3E");
}

.bg-none {
    background-color: transparent !important;
}

a {
    color: white;
    text-decoration: none;
    transition: color 1s
}

a:hover {
    color: var(--main-theme);
}

.exo {
    font-family: 'Exo', sans-serif !important;
}

.montserrat {
    font-family: 'Montserrat', sans-serif !important;
}

.sourcecodepro {
    font-family: 'Source Code Pro', monospace !important;
}

.worksans {
    font-family: 'Work Sans', sans-serif !important;
}

.bigfont {
    font-weight: 700 !important;
}

pre.hljs div {
	position: relative;
	float: right;
	background: #2A2A2A;
	border-radius: 0.2em;
}

pre.hljs div svg {
	-moz-transition: fill 0.25s ease;
	-webkit-transition: fill 0.25s ease;
	-ms-transition: fill 0.25s ease;
	transition: fill 0.25s ease;
	vertical-align: middle;
	height: 1.5em;
  	width: 1.5em;
	fill: rgba(92, 95, 110, 0.884);
	margin: 0.5em;
}

pre.hljs div svg:hover {
	fill: rgba(163, 164, 172, 0.884);
	cursor: pointer;
}

.hljs {
	display: block;
    padding: 9.5px;
    margin: 0 0 10px;
    font-size: 13px;
    line-height: 1.42857143;
    color: #ebebeb;
	font-family: 'Courier Prime', monospace;
    word-break: break-all;
    word-wrap: break-word;
    background-color: #1F1F1F;
    border: 1px solid #969696;
    border-radius: 4px;
    text-align: start;
}

.hljs-comment,
.hljs-quote {
	color: #998;
	font-style: italic
}

.hljs-keyword,
.hljs-selector-tag,
.hljs-subst {
	color: #c36ec1;
	font-weight: bold
}

.hljs-number,
.hljs-literal,
.hljs-variable,
.hljs-template-variable,
.hljs-tag .hljs-attr {
	color: #cd9663
}

.hljs-string,
.hljs-doctag {
	color: #97c075
}

.hljs-property {
	color: #dc686d
}

.hljs-params {
	color: #dc686d
}

.hljs-title,
.hljs-section,
.hljs-selector-id {
	color: #61a7dc;
	font-weight: bold;
}

.hljs-subst {
	font-weight: normal
}

.hljs-type,
.hljs-class .hljs-title {
	color: #458;
	font-weight: bold
}

.hljs-tag,
.hljs-name,
.hljs-attribute {
	color: #000080;
	font-weight: normal
}

.hljs-regexp,
.hljs-link {
	color: #009926
}

.hljs-symbol,
.hljs-bullet {
	color: #990073
}

.hljs-built_in,
.hljs-builtin-name {
	color: #0086b3
}

.hljs-meta {
	color: rgb(165, 50, 180);
	font-weight: bold
}

.hljs-deletion {
	background: #fdd
}

.hljs-addition {
	background: #dfd
}

.hljs-emphasis {
	font-style: italic
}

.hljs-strong {
	font-weight: bold
}

code {
    font-family: 'Lucida Console', 'Courier New', monospace;
    font-weight: normal;
    text-indent: 0;
    letter-spacing: 0;
    font-size: 0.9em;
    /* margin: 0 0.25em; */
    padding: 0.25em 0.5em;
    background-color: rgba(144,144,144,0.25);
    border-radius: 0.25em;
    color: rgb(243, 243, 243);
}

pre code {
    display: block;
    padding: 9.5px;
    margin: 0 0 10px;
    font-size: 13px;
    line-height: 1.42857143;
    color: #ebebeb;
    font-family: 'Courier Prime', monospace;
    word-break: break-all;
    word-wrap: break-word;
    background-color: #4b4b4b;
    border: 1px solid #ccc;
    border-radius: 4px;
}

.codeforced {
    font-family: 'Lucida Console', 'Courier New', monospace;
    font-weight: normal;
    text-indent: 0;
    letter-spacing: 0;
    font-size: 0.9em;
    /* margin: 0 0.25em; */
    padding: 0.25em 0.5em;
    background-color: rgba(144,144,144,0.25);
    border-radius: 0.25em;
    color: rgb(243, 243, 243);
}

.customDiv {
    width: 100%;
    max-height: 25em;
    overflow-y: auto;
}

.customDiv2 {
    width: 100%;
    height: 50em;
    max-height: 50em;
    overflow-y: auto;
}

.nomargin {
    margin: 0 !important;
}

table {
    background-color: rgba(41, 41, 41, 0.3);
    line-height: 1;
    overflow-x: auto;
    overflow-y: auto;
}

table tr:nth-child(odd) {
    background-color: #181818;
}

table tr:nth-child(even) {
    background-color: #111111;
}

.headertitle {
    margin-top: 0.5em;
}

.btnnostyle {
    margin-top: 0 !important;
    padding: 0 !important;
    background-color: transparent !important;
    border-style: none;
    border-color: transparent;
}

.btn-theme {
    background-color: var(--main-theme) !important;
    transition: border-color 200ms ease-in-out !important;
}

.btn-theme:hover {
   border-color: white !important;
}

.btn-outline-theme {
    background-color: transparent !important;
    border-color: var(--main-theme) !important;
    transition: background-color 200ms ease-in-out !important;
}

.btn-outline-theme:hover {
    background-color: var(--main-theme) !important;
}

.text-theme {
    color: var(--main-theme) !important;
}

.bd-theme {
    border-color: var(--main-theme) !important;
}

.bd-theme-setup {
    border-color: var(--main-theme) !important;
    border-style: solid !important;
    border-width: 2px !important;
    border-radius: 0.4em !important;
}

.closebutton {
    color: white;
    font-size: 2em;
}

.randomafest {
    display: none;
    text-align: center !important;
}

.censor {
    filter: blur(3.5px);
    transition: filter 200ms ease-in-out;
}

/* Scrollbar */
/* width */
::-webkit-scrollbar {
    width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
    /* background: #f1f1f1; */
    background: rgba(255, 0, 0, 0);
    /* background-color: transparent; */
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: rgba(136, 136, 136, 0.075);
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: rgba(136, 136, 136, 0.445);
}

::-webkit-scrollbar-corner {
    background: rgba(136, 136, 136, 0.445);
}

@media only screen and (max-width: 540px) {
    .background {
        height: 26em;
    }
    .contactbara {
        font-size: 0.7em;
    }
    .companylogo {
        display: none;
    }
    .headertitle {
        display: block;
        text-align: center !important;
    }
    .headerpara {
        display: none;
    }
    .randomafest {
        display: block;
    }
    .footerbottom {
        display: none;
    }
    .footerbottommobile {
        display: block !important;
        visibility: visible !important;
    }
    .footerinner {
        width: 100%;
    }
}
